Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
(SOLVED)Portage und ffmpeg
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Alandrias
n00b
n00b


Joined: 15 May 2013
Posts: 4

PostPosted: Wed May 15, 2013 3:12 pm    Post subject: (SOLVED)Portage und ffmpeg Reply with quote

Hallo zusammen, auch ich habe inzwischen den Weg zu Gentoo gefunden und bin, nach 1,5 Wochen, auch recht zufrieden. Nun habe ich aber beim aktualisieren folgende Fehlermeldung erhalten und komme einfach nicht weiter.
Google hab ich durchforstet und nichts entsprechenden gefunden.

Folgende Meldung erhalte ich:
Code:

!!! The ebuild selected to satisfy ">=media-video/ffmpeg-0.10.3[X?,encode?,gsm?,                                                                                                                                                             jpeg2k?,mp3?,sdl?,speex?,theora?,threads?,truetype?,vaapi?,vdpau?,x264?]" has unmet requirements.
- media-video/ffmpeg-0.10.7::gentoo USE="X aac alsa bindist bzip2 (consolekit) encode faac hardcoded-tables mmx mp3 (multilib) openssl pic (policykit) sdl truet ype v4l vorbis x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -amr -avx -cd io (-celt) -cpudetection -debug -dirac -doc -frei0r -gnutls -gsm -ieee1394 -jack  -jpeg2k -libass -libv4l -mmxext -modplug (-neon) -network -openal -oss -pulseau  dio -rtmp -schroedinger -speex -ssse3 -static-libs -test -theora -threads -vaapi  -vdpau (-vis) -vpx" ABI_X86="64" FFTOOLS="aviocat cws2fws ffeval graph2dot ismi ndex pktdumper qt-faststart trasher"

  The following REQUIRED_USE flag constraints are unsatisfied:
    bindist? ( encode? ( !faac ) !openssl )

  The above constraints are a subset of the following complete expression:
    bindist? ( encode? ( !faac !aacplus ) !openssl ) libv4l? ( v4l ) fftools_cws                                                                                                                                                             2fws? ( zlib ) test? ( encode zlib )

(dependency required by "virtual/ffmpeg-0.10.3" [installed])
(dependency required by "media-video/vlc-2.0.5" [ebuild])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])



Kann mir bitte jemand weiter helfen? Eine kleine, kurze Anleitung wäre natürlich ideal.
Danke schon mal :)


Last edited by Alandrias on Wed May 15, 2013 9:27 pm; edited 1 time in total
Back to top
View user's profile Send private message
Max Steel
Veteran
Veteran


Joined: 12 Feb 2007
Posts: 1952
Location: My own world! I and Gentoo!

PostPosted: Wed May 15, 2013 5:03 pm    Post subject: Re: Portage und ffmpeg Reply with quote

Alandrias wrote:
Hallo zusammen, auch ich habe inzwischen den Weg zu Gentoo gefunden und bin, nach 1,5 Wochen, auch recht zufrieden. Nun habe ich aber beim aktualisieren folgende Fehlermeldung erhalten und komme einfach nicht weiter.
Google hab ich durchforstet und nichts entsprechenden gefunden.

Folgende Meldung erhalte ich:
Code:

!!! The ebuild selected to satisfy ">=media-video/ffmpeg-0.10.3[X?,encode?,gsm?,                                                                                                                                                             jpeg2k?,mp3?,sdl?,speex?,theora?,threads?,truetype?,vaapi?,vdpau?,x264?]" has unmet requirements.
- media-video/ffmpeg-0.10.7::gentoo USE="X aac alsa bindist bzip2 (consolekit) encode faac hardcoded-tables mmx mp3 (multilib) openssl pic (policykit) sdl truet ype v4l vorbis x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -amr -avx -cd io (-celt) -cpudetection -debug -dirac -doc -frei0r -gnutls -gsm -ieee1394 -jack  -jpeg2k -libass -libv4l -mmxext -modplug (-neon) -network -openal -oss -pulseau  dio -rtmp -schroedinger -speex -ssse3 -static-libs -test -theora -threads -vaapi  -vdpau (-vis) -vpx" ABI_X86="64" FFTOOLS="aviocat cws2fws ffeval graph2dot ismi ndex pktdumper qt-faststart trasher"

  The following REQUIRED_USE flag constraints are unsatisfied:
    bindist? ( encode? ( !faac ) !openssl )

  The above constraints are a subset of the following complete expression:
    bindist? ( encode? ( !faac !aacplus ) !openssl ) libv4l? ( v4l ) fftools_cws                                                                                                                                                             2fws? ( zlib ) test? ( encode zlib )

(dependency required by "virtual/ffmpeg-0.10.3" [installed])
(dependency required by "media-video/vlc-2.0.5" [ebuild])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])



Kann mir bitte jemand weiter helfen? Eine kleine, kurze Anleitung wäre natürlich ideal.
Danke schon mal :)


Im Prinzip geht um einige Restriktionen die man sich mit dem USE-Flag bindist gefallen lassen muss (mal davon abgesehen ds du das Kompilat nicht weitergeben darfst...) das heißt du musst wenn encode auch aktiv ist faac deaktivieren und openssl deaktivieren...

ich persönlich halte davon nichts und deaktivere einfacher bindist ^^
_________________
mfg
Steel
___________________
Big sorry for my bad English.

Heim-PC: AMD Phenom II X4 3,2GHz, 16GB RAM, gentoo-sources-3.10.7, NV GTX 780
Laptop: Intel Celeron 1,7GHz, 512MB Ram, tuxonice-sources-3.7.1, SIS Graphic

Version 0.4
Back to top
View user's profile Send private message
Alandrias
n00b
n00b


Joined: 15 May 2013
Posts: 4

PostPosted: Wed May 15, 2013 5:22 pm    Post subject: Reply with quote

Das heisst ich nehm bindist einfach aus der make.conf raus? Versteh ich das richtig?
Back to top
View user's profile Send private message
Alandrias
n00b
n00b


Joined: 15 May 2013
Posts: 4

PostPosted: Wed May 15, 2013 8:11 pm    Post subject: Reply with quote

So hab nun "bindist" aus der make.conf genommen. dispatch-conf ausgeführt und sicherheitshalber noch nen etc-update.... keine Änderung :(
Back to top
View user's profile Send private message
Alandrias
n00b
n00b


Joined: 15 May 2013
Posts: 4

PostPosted: Wed May 15, 2013 9:27 pm    Post subject: Reply with quote

Solved.
Nochmal genau geschaut und festgestellt das sich der eintrag "bindist" doppelt in den USE-Flags war.
Kleine Ursache, große Wirkung.
Back to top
View user's profile Send private message
fuchur
Guru
Guru


Joined: 12 Aug 2003
Posts: 563

PostPosted: Wed May 15, 2013 10:16 pm    Post subject: Reply with quote

Hi

Du kannst aber auch in z.B.
Code:
/etc/portage/package.use/my-use
flags für einzelne Pakete setzen.
Mit Version z.B so:

=media-video/mplayer-1.0_rc4_p20110322 -bindist

und ohne Version z.B

sys-apps/busybox static

Das oben sind zwei Beispiele wenn du die flags in der make.conf gesetzt hast oder auch nicht und du möchtest sie nur für ein Paket.

MfG
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum